org.modeshape.jcr.query.xpath

## Class XPathToQueryTranslator.SinglePathLikeBuilder

- java.lang.Object
- - org.modeshape.jcr.query.xpath.XPathToQueryTranslator.SinglePathLikeBuilder

- All Implemented Interfaces:
    XPathToQueryTranslator.PathLikeBuilder
  Enclosing class:
    XPathToQueryTranslator

      protected static class XPathToQueryTranslator.SinglePathLikeBuilder
      extends Object
      implements XPathToQueryTranslator.PathLikeBuilder

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XPathToQueryTranslator.SinglePathLikeBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XPathToQueryTranslator.SinglePathLikeBuilder` | `append(char c)`
    `XPathToQueryTranslator.SinglePathLikeBuilder` | `append(String string)`
    `XPathToQueryTranslator.SinglePathLikeBuilder` | `clone()`
    `String[]` | `getPaths()`
    `boolean` | `isEmpty()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XPathToQueryTranslator.SinglePathLikeBuilder

          protected XPathToQueryTranslator.SinglePathLikeBuilder()

  - ### Method Detail

    - #### append

          public XPathToQueryTranslator.SinglePathLikeBuilder append(String string)

      Specified by:
        `append` in interface `XPathToQueryTranslator.PathLikeBuilder`

    - #### append

          public XPathToQueryTranslator.SinglePathLikeBuilder append(char c)

      Specified by:
        `append` in interface `XPathToQueryTranslator.PathLikeBuilder`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `XPathToQueryTranslator.PathLikeBuilder`

    - #### clone

          public XPathToQueryTranslator.SinglePathLikeBuilder clone()

      Specified by:
        `clone` in interface `XPathToQueryTranslator.PathLikeBuilder`
      Overrides:
        `clone` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getPaths

          public String[] getPaths()

      Specified by:
        `getPaths` in interface `XPathToQueryTranslator.PathLikeBuilder`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.